﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Runtime.CompilerServices;

namespace OnDemandAssemblyDemo
{
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();
        }

        private void CreateCalendarButton_Click(object sender, RoutedEventArgs e)
        {
            WebClient wc = new WebClient();
            wc.OpenReadCompleted += new OpenReadCompletedEventHandler(wc_OpenReadCompleted);
            wc.OpenReadAsync(new Uri("System.Windows.Controls.dll", UriKind.Relative));
        }

        void wc_OpenReadCompleted(object sender, OpenReadCompletedEventArgs e)
        {
            if (e.Error == null)
            {
                // Load the downloaded assembly
                AssemblyPart part = new AssemblyPart();
                part.Load(e.Result);

                // Create a Calendar control
                CreateCalendar();
            }
        }

        [MethodImpl(MethodImplOptions.NoInlining)]
        private void CreateCalendar()
        {
            Calendar cal = new Calendar();
            cal.Width = 300.0;
            cal.Height = 200.0;
            cal.SelectedDatesChanged += new EventHandler<SelectionChangedEventArgs>(cal_SelectedDatesChanged);
            LayoutRoot.Children.RemoveAt(0);
            LayoutRoot.Children.Add(cal);
        }

        void cal_SelectedDatesChanged(object sender, SelectionChangedEventArgs e)
        {
        }
    }
}
